import React, { Component } from "react";
import "../style/Highlight.css";
export class Highlight extends Component {
    render() {
        const { position, onClick, onMouseOver, onMouseOut, highlightColor = {
            default: "rgba(252, 232, 151, 1.0)",
            onScroll: "#ff4141",
        }, comment, isScrolledTo, } = this.props;
        const { rects, boundingRect } = position;
        return (React.createElement("div", { className: `Highlight ${isScrolledTo ? "Highlight--scrolledTo" : ""}`, style: {
                background: highlightColor.default,
            } },
            comment ? (React.createElement("div", { className: "Highlight__emoji", style: {
                    left: 20,
                    top: boundingRect.top,
                } }, comment.emoji)) : null,
            React.createElement("div", { className: "Highlight__parts" }, rects.map((rect, index) => (React.createElement("div", { onMouseOver: onMouseOver, onMouseOut: onMouseOut, onClick: onClick, key: index, style: Object.assign(rect, {
                    background: isScrolledTo
                        ? highlightColor.onScroll
                        : highlightColor.default,
                }), className: `Highlight__part` }))))));
    }
}
export default Highlight;
//# sourceMappingURL=Highlight.js.map